std::__detail::_Compiler< _TraitsT > Class Template Reference
Regular Expressions » Base and Implementation Classes

## Public Types

typedef _TraitsT::char_type | _CharT
typedef regex_constants::syntax_option_type | _FlagT
typedef const _CharT * | _IterT
typedef _NFA< _TraitsT > | _RegexT

## Public Member Functions

| _Compiler (_IterT __b, _IterT __e, const typename _TraitsT::locale_type &__traits, _FlagT __flags)
shared_ptr< const _RegexT > | _M_get_nfa ()

## Detailed Description

### template<typename _TraitsT>
class std::__detail::_Compiler< _TraitsT >

Builds an NFA from an input iterator range.

The _TraitsT type should fulfill requirements [28.3].

Definition at line 57 of file regex_compiler.h.

The documentation for this class was generated from the following files:

- regex_compiler.h
- regex_compiler.tcc